"use strict";(self.webpackChunkbaf=self.webpackChunkbaf||[]).push([[4122],{6254:(t,e,a)=>{a.r(e),a.d(e,{assets:()=>o,contentTitle:()=>i,default:()=>u,frontMatter:()=>l,metadata:()=>p,toc:()=>s});var n=a(7896),r=(a(2784),a(876));const l={id:"api_baf_reports",title:"Report control",sidebar_label:"Report control"},i=void 0,p={unversionedId:"user_guide/api_baf_reports",id:"user_guide/api_baf_reports",title:"Report control",description:"This section of the API allows you to manage reports that reflect the system's performance.",source:"@site/docs/user_guide/api_baf_reports.md",sourceDirName:"user_guide",slug:"/user_guide/api_baf_reports",permalink:"/user_guide/api_baf_reports",draft:!1,tags:[],version:"current",frontMatter:{id:"api_baf_reports",title:"Report control",sidebar_label:"Report control"},sidebar:"docs",previous:{title:"ValidationsObject",permalink:"/user_guide/api_baf_validation_object"},next:{title:"Web component",permalink:"/user_guide/baf_web_component"}},o={},s=[{value:"Creating a report",id:"creating-a-report",level:3},{value:"Receiving reports",id:"receiving-reports",level:3},{value:"Deleting a report",id:"deleting-a-report",level:3},{value:"Receiving report information",id:"receiving-report-information",level:3},{value:"Starting building a report",id:"starting-building-a-report",level:3},{value:"Canceling report generation",id:"canceling-report-generation",level:3}],d={toc:s},c="wrapper";function u(t){let{components:e,...a}=t;return(0,r.kt)(c,(0,n.Z)({},d,a,{components:e,mdxType:"MDXLayout"}),(0,r.kt)("p",null,"This section of the API allows you to manage reports that reflect the system's performance."),(0,r.kt)("p",null,"A report is created with a specified time interval for collecting metrics and then put into processing. Once processed, the metrics can be retrieved via the API."),(0,r.kt)("p",null,"You can view the status of the report in the \u201cstatus\u201d field. The possible report statuses are:"),(0,r.kt)("ul",null,(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"0"),": Pending \u2013 The report has just been created and processing has not started."),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"1"),": Processing \u2013 The report is being processed. The time to process may vary depending on the database size and the reporting period."),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"2"),": Completed \u2013 The report has been successfully processed. If the data for the check period has been updated, a new report must be created to retrieve it."),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"3"),": Error \u2013 An error occurred while generating the report."),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"4"),": Canceled \u2013 Report processing has been canceled. Resuming report processing will only affect metrics that were not calculated for the previous processing."),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"5"),": Unexpectedly stopped \u2013 Report generation was unexpectedly interrupted, such as if the service was restarted during report processing.")),(0,r.kt)("p",null,"The report contains the following metrics:"),(0,r.kt)("ul",null,(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"failRate"),'. The percentage of applicants who have a status of "Fail" or "Failed Attempt" relative to the total number of applicants.'),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"passRate"),'. The percentage of applicants who have a "Success" status relative to the total number of applicants.'),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"completion"),". The average time taken from the creation of an applicant to their registration."),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"suspectedFraud"),". The percentage of attempts with risks relative to the total number of attempts."),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"abandonmentRate"),'. The percentage of applicants in a "Pending" status relative to the total number of applicants.'),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"fraudProofing"),'. The total number of applicants who have been "Cancelled" combined with the number of registration attempts with risks.'),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"fraudAuthentication"),'. The total number of applicants with a "Cancelled" status combined with the number of authentication attempts with risks.'),(0,r.kt)("li",{parentName:"ul"},(0,r.kt)("strong",{parentName:"li"},"authenticationFailures"),". The average proportion of failed attempts relative to the total number of attempts for each applicant.")),(0,r.kt)("h3",{id:"creating-a-report"},"Creating a report"),(0,r.kt)("p",null,"When creating a report, specify the time period for receiving metrics. The time must be specified in the UTC time zone."),(0,r.kt)("p",null,"Endpoint: POST /publicapi/api/v2/private/Report"),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Request body:")),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "startDate": "2024-11-19T11:09:44.530Z",\n  "endDate": "2024-11-19T11:09:44.530Z"\n}\n')),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Request example:")),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'POST' \\\n  'http://baf.ai/publicapi/api/v2/private/Report' \\\n  -H 'accept: text/plain' \\\n  -H 'Content-Type: application/json-patch+json' \\\n  -d '{\n  \"startDate\": \"2024-11-19T11:09:44.530Z\",\n  \"endDate\": \"2024-11-19T11:09:44.530Z\"\n}'\n")),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Response example:")),(0,r.kt)("table",null,(0,r.kt)("body",null,(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"Status Code"),(0,r.kt)("td",{width:"400"},"200")))),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n  "reportInfo": null,\n  "status": 0,\n  "accountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n  "startDate": "2024-11-20T05:18:45.353Z",\n  "endDate": "2024-11-20T05:18:45.353Z",\n  "creationDate": "2024-11-20T05:18:45.353Z",\n  "lastModified": "2024-11-20T05:18:45.353Z"\n}\n')),(0,r.kt)("h3",{id:"receiving-reports"},"Receiving reports"),(0,r.kt)("p",null,"To receive reports page by page, you need to specify the page number and page size."),(0,r.kt)("p",null,"Endpoint: GET /publicapi/api/v2/private/Report"),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Parameters:")),(0,r.kt)("table",null,(0,r.kt)("tbody",null,(0,r.kt)("tr",null,(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Field name")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Description")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Value"))),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"Page"),(0,r.kt)("td",{width:"400"},"Page number"),(0,r.kt)("td",{width:"400"},"From 1 to 2147483647")),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"PageSize"),(0,r.kt)("td",{width:"400"},"Maximum number of reports listed on the page"),(0,r.kt)("td",{width:"400"},"From 1 to 400")))),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Request example:")),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'http://baf.ai/publicapi/api/v2/private/Report?Page=1&PageSize=10' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_1d2ca11d-125a-416c-8fdc-e9661ebecb9a'\n")),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Response example:")),(0,r.kt)("table",null,(0,r.kt)("body",null,(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"Status Code"),(0,r.kt)("td",{width:"400"},"200")))),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "totalCount": 2,\n  "reports": [\n    {\n      "id": "a86b6b35-cf6b-462d-9f64-d706cd2490ce",\n      "reportInfo": null,\n      "status": 0,\n      "accountId": "28608d66-a571-44ec-94db-04a00143ff51",\n      "startDate": "2024-11-15T06:27:42.706Z",\n      "endDate": "2024-11-15T06:27:42.706Z",\n      "creationDate": "2024-11-15T06:27:42.231705Z",\n      "lastModified": "2024-11-15T06:27:42.231705Z"\n    },\n    {\n      "id": "0200ca81-0020-4de9-96f1-9d24bf8d92ae",\n      "reportInfo": {\n        "nist": {\n          "failRate": 0,\n          "passRate": 0,\n          "completion": 0,\n          "fraudProofing": 0,\n          "suspectedFraud": 0,\n          "abandonmentRate": 0,\n          "fraudAuthentication": 0,\n          "authenticationFailures": 0\n        }\n      },\n      "status": 2,\n      "accountId": "28608d66-a571-44ec-94db-04a00143ff51",\n      "startDate": "2025-11-14T15:27:17.69Z",\n      "endDate": "2026-11-14T15:27:17.69Z",\n      "creationDate": "2024-11-14T15:27:20.874582Z",\n      "lastModified": "2024-11-14T15:27:28.552245Z"\n    }\n  ]\n}\n')),(0,r.kt)("h3",{id:"deleting-a-report"},"Deleting a report"),(0,r.kt)("p",null,"Endpoint: DELETE /publicapi/api/v2/private/Report"),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Request example:")),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'DELETE' \\\n  'http://baf.ai/publicapi/api/v2/private/Report/3fa85f64-5717-4562-b3fc-2c963f66afa6' \\\n  -H 'accept: */*' \\\n  -H 'Authorization: Bearer sk_1d2ca11d-125a-416c-8fdc-e9661ebecb9a'\n")),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Response example:")),(0,r.kt)("table",null,(0,r.kt)("body",null,(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"Status Code"),(0,r.kt)("td",{width:"400"},"200")))),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Possible errors:")),(0,r.kt)("table",null,(0,r.kt)("tbody",null,(0,r.kt)("tr",null,(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"HTTP Code")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Message")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Description")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Error code"))),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"404"),(0,r.kt)("td",{width:"400"},"Report not found"),(0,r.kt)("td",{width:"400"},"Report not found for deletion."),(0,r.kt)("td",{width:"400"},"120024")))),(0,r.kt)("h3",{id:"receiving-report-information"},"Receiving report information"),(0,r.kt)("p",null,"Endpoint: GET /publicapi/api/v2/private/Report/{report_id}"),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Request example:")),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'http://baf.ai/publicapi/api/v2/private/Report/3fa85f64-5717-4562-b3fc-2c963f66afa6' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_1d2ca11d-125a-416c-8fdc-e9661ebecb9a'curl -X 'GET'\n")),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Response example:")),(0,r.kt)("table",null,(0,r.kt)("body",null,(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"Status Code"),(0,r.kt)("td",{width:"400"},"200")))),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Possible errors:")),(0,r.kt)("table",null,(0,r.kt)("tbody",null,(0,r.kt)("tr",null,(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"HTTP Code")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Message")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Description")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Error code"))),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"404"),(0,r.kt)("td",{width:"400"},"Report not found"),(0,r.kt)("td",{width:"400"},"Report not found."),(0,r.kt)("td",{width:"400"},"120024")))),(0,r.kt)("h3",{id:"starting-building-a-report"},"Starting building a report"),(0,r.kt)("p",null,"Endpoint: GET /publicapi/api/v2/private/Report/process/{report_id}"),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Request example:")),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'POST' \\\n  'http://baf.ai/publicapi/api/v2/private/Report/Process/3fa85f64-5717-4562-b3fc-2c963f66afa6' \\\n  -H 'accept: */*' \\\n  -H 'Authorization: Bearer sk_1d2ca11d-125a-416c-8fdc-e9661ebecb9a' \\\n  -d ''\n")),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Response example:")),(0,r.kt)("table",null,(0,r.kt)("body",null,(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"Status Code"),(0,r.kt)("td",{width:"400"},"200")))),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Possible errors:")),(0,r.kt)("table",null,(0,r.kt)("tbody",null,(0,r.kt)("tr",null,(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"HTTP Code")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Message")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Description")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Error code"))),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"404"),(0,r.kt)("td",{width:"400"},"Report not found"),(0,r.kt)("td",{width:"400"},"Report not found."),(0,r.kt)("td",{width:"400"},"120024")),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"400"),(0,r.kt)("td",{width:"400"},"Report already processing"),(0,r.kt)("td",{width:"400"},"Report already processing"),(0,r.kt)("td",{width:"400"},"120024")),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"400"),(0,r.kt)("td",{width:"400"},"Too many simultaneously processed reports"),(0,r.kt)("td",{width:"400"},"The number of simultaneously processed reports has reached the limit."),(0,r.kt)("td",{width:"400"},"120024")))),(0,r.kt)("h3",{id:"canceling-report-generation"},"Canceling report generation"),(0,r.kt)("p",null,"Endpoint: DELETE /publicapi/api/v2/private/Report/process/{report_id}"),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Request example:")),(0,r.kt)("pre",null,(0,r.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'DELETE' \\\n  'http://baf.ai/publicapi/api/v2/private/Report/Process/3fa85f64-5717-4562-b3fc-2c963f66afa7' \\\n  -H 'accept: */*' \\\n  -H 'Authorization: Bearer sk_1d2ca11d-125a-416c-8fdc-e9661ebecb9a'\n")),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Response example:")),(0,r.kt)("table",null,(0,r.kt)("body",null,(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"Status Code"),(0,r.kt)("td",{width:"400"},"200")))),(0,r.kt)("p",null,(0,r.kt)("strong",{parentName:"p"},"Possible errors:")),(0,r.kt)("table",null,(0,r.kt)("tbody",null,(0,r.kt)("tr",null,(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"HTTP Code")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Message")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Description")),(0,r.kt)("td",{class:"center-aligned",width:"400"},(0,r.kt)("b",null,"Error code"))),(0,r.kt)("tr",null,(0,r.kt)("td",{width:"400"},"400"),(0,r.kt)("td",{width:"400"},"This report not processing at this moment"),(0,r.kt)("td",{width:"400"},"The report is not in the processing state"),(0,r.kt)("td",{width:"400"},"120024")))))}u.isMDXComponent=!0}}]);