"use strict";(self.webpackChunkbaf=self.webpackChunkbaf||[]).push([[1520],{1668:(t,e,n)=>{n.r(e),n.d(e,{assets:()=>d,contentTitle:()=>p,default:()=>k,frontMatter:()=>s,metadata:()=>r,toc:()=>o});var a=n(7896),l=(n(2784),n(876)),i=n(3002);const s={id:"api_baf_applicants",title:"Applicants",sidebar_label:"Applicants"},p=void 0,r={unversionedId:"user_guide/api_baf_applicants",id:"user_guide/api_baf_applicants",title:"Applicants",description:"Applicant is an object that contains information about the user (first name, last name, contact information, etc.), the number of verification attempts and its current status, as well as other verification data.",source:"@site/docs/user_guide/api_baf_applicants.mdx",sourceDirName:"user_guide",slug:"/user_guide/api_baf_applicants",permalink:"/user_guide/api_baf_applicants",draft:!1,tags:[],version:"current",frontMatter:{id:"api_baf_applicants",title:"Applicants",sidebar_label:"Applicants"},sidebar:"docs",previous:{title:"Motion control patterns",permalink:"/user_guide/api_baf_motion_patterns"},next:{title:"Verification",permalink:"/user_guide/api_baf_verification"}},d={},o=[{value:"Create an applicant",id:"create-an-applicant",level:3},{value:"Get a List of Applicants",id:"get-a-list-of-applicants",level:3},{value:"Delete an Applicant",id:"delete-an-applicant",level:3},{value:"Retrieve an applicant by referenceId",id:"retrieve-an-applicant-by-referenceid",level:3},{value:"Check an applicant status",id:"check-an-applicant-status",level:3},{value:"Force close an applicant",id:"force-close-an-applicant",level:3},{value:"Search an applicant by ID",id:"search-an-applicant-by-id",level:3},{value:"Update applicant",id:"update-applicant",level:3},{value:"Get a List of Applicant Verification Attempts",id:"get-a-list-of-applicant-verification-attempts",level:3},{value:"Get information about an applicant verification attempt",id:"get-information-about-an-applicant-verification-attempt",level:3},{value:"Resend the Link to Verify the Applicant",id:"resend-the-link-to-verify-the-applicant",level:3},{value:"Get Images From an Applicant Verification Attempt",id:"get-images-from-an-applicant-verification-attempt",level:3},{value:"Download Liveness Reflection video from an Applicant Verification Attempt",id:"download-liveness-reflection-video-from-an-applicant-verification-attempt",level:3},{value:"Download motion control video from an Applicant Verification Attempt",id:"download-motion-control-video-from-an-applicant-verification-attempt",level:3},{value:"Unlock or open the applicant",id:"unlock-or-open-the-applicant",level:3},{value:"Update the applicant&#39;s registration photo",id:"update-the-applicants-registration-photo",level:3}],c={toc:o},u="wrapper";function k(t){let{components:e,...n}=t;return(0,l.kt)(u,(0,a.Z)({},c,n,{components:e,mdxType:"MDXLayout"}),(0,l.kt)("p",null,"Applicant is an object that contains information about the user (first name, last name, contact information, etc.), the number of verification attempts and its current status, as well as other verification data."),(0,l.kt)(i.$Y,{mdxType:"ShortProductName"})," provides several registration attempts for each applicant (a customer can set the number of available attempts in ",(0,l.kt)(i.$Y,{mdxType:"ShortProductName"})," Dashboard Settings). The applicant is considered closed after successful verification or after the available attempts run out.",(0,l.kt)("h3",{id:"create-an-applicant"},"Create an applicant"),(0,l.kt)("p",null,"Endpoint: POST /publicapi/api/v2/private/Applicants"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request body:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "firstName": "string",\n  "lastName": "string",\n  "phone": "string",\n  "email": "string",\n  "metadata": {\n    "additionalProp1": "string",\n    "additionalProp2": "string",\n    "additionalProp3": "string"\n  },\n  "callbackUrl": "string",\n  "sendSms": true,\n  "status": 0,\n  "verificationMethod": 0\n}\n')),(0,l.kt)("ul",null,(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"firstName")," - applicant's name (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"lastName")," - applicant's last name (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"phone")," - applicant\u2019s phone number. Make sure that the number specified is valid (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"email")," - applicant\u2019s email (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"metadata")," - additional information about applicant. Contains 3 fields: additionalProp1, additionalProp2 and additionalProp3. (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"callbackUrl")," - URL for redirection after successful verification (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"sendSms")," - flag for receiving sms verification links (optional field): false - disabled, true - enabled."),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"status"),' - applicant status. 0 - applicant is not verified, 1 - applicant is successfully verified. 2 - verification has "failed" status, 3 - verification canceled (optional field)'),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"verificationMethod")," - verification method. 0 - verification via SMS, 1 - manual verification. Default value is 1 (optional field)")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'curl -X \'POST\' \\\n  \'https://baf.ai/publicapi/api/v2/private/Applicants\' \\\n  -H \'accept: text/plain\' \\\n  -H \'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b\' \\\n  -H \'Content-Type: application/json\' \\\n  -d \'{\n  "firstName": "John",\n  "lastName": "Dow",\n  "phone": "49828585009568",\n  "email": "string",\n  "referenceId": "string",\n  "metadata": {\n    "additionalProp1": "string",\n    "additionalProp2": "string",\n    "additionalProp3": "string"\n  },\n  "callbackUrl": "string",\n  "sendSms": true,\n  "case": [\n    {\n      "name": 1,\n      "value": "string"\n    }\n  ],\n  "status": 0,\n  "verificationMethod": 0\n}\'\n')),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n  "validationLink": "https://host/embedded?requestId=c3e5599f-4742-4a60-b511-b65e5707c963",\n  "shortValidationLink": "https://host/UA6IB5g"\n}\n')),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"Sms sending error. Please check your phone number"),(0,l.kt)("td",{width:"400"},"Sms sending failed"),(0,l.kt)("td",{width:"400"},"120027")))),(0,l.kt)("h3",{id:"get-a-list-of-applicants"},"Get a List of Applicants"),(0,l.kt)("p",null,"The list of applicants can be filtered by time. If you do not set filtering, all created requests will be displayed, starting with the last one."),(0,l.kt)("p",null,"Endpoint: GET /publicapi/api\u200b/v2\u200b/private\u200b/Applicants"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Field name")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Value"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Page"),(0,l.kt)("td",{width:"400"},"Page number"),(0,l.kt)("td",{width:"400"},"From 1 to 2147483647")),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"PageSize"),(0,l.kt)("td",{width:"400"},"Maximum number of applicants listed on the page"),(0,l.kt)("td",{width:"400"},"From 1 to 400")))),(0,l.kt)("p",null,"The following optional fields can be used for search and sorting:"),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Field name")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"CreatedFrom"),(0,l.kt)("td",{width:"400"},"Lower date limit: dd-mm-yyyy")),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"CreatedTo"),(0,l.kt)("td",{width:"400"},"Upper date limit: dd-mm-yyyy")),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"SortField"),(0,l.kt)("td",{width:"400"},"Sorting field. You can specify firstName, lastName, phone, etc.")),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Order"),(0,l.kt)("td",{width:"400"},"The sorting order for the selected field. For descending order specify the value: descending. Ascending order is set by default.")),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"TextFilter"),(0,l.kt)("td",{width:"400"},"Text search")))),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants?Page=2&PageSize=2' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "page": 1,\n  "pageSize": 3,\n  "total": 46,\n  "totalPages": 16,\n  "items": [\n    {\n      "applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n      "attemptsCount": 0,\n      "lastAttemptId": null,\n      "successAttemptId": null,\n      "successAttempt": null,\n      "firstName": "Test",\n      "lastName": "aihv",\n      "phone": "+7 982 200-00-00",\n      "email": "",\n      "referenceId": null,\n      "openedLinkTimes": 3,\n      "created": "2023-02-06T00:32:22.9260859",\n      "accountId": "2860***",\n      "validationRequestSettings": null,\n      "completed": false,\n      "status": 0,\n      "statusName": "Pending",\n      "attemptsUsed": 0,\n      "documentExpired": null,\n      "lastValidationResponse": {\n        "validationResponseId": 133,\n        "created": "2023-11-17T04:40:31.509932",\n        "responseStatus": 0,\n        "responseStatusName": "Success"\n      },\n      "hasRiskEvents": false,\n      "metadata": {},\n      "callbackUrl": "",\n      "verificationMethod": 0\n    },\n    {\n      "applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n      "attemptsCount": 1,\n      "lastAttemptId": null,\n      "successAttemptId": null,\n      "successAttempt": null,\n      "firstName": "Testit",\n      "lastName": "bvaddv",\n      "phone": "+7 982 200-00-00",\n      "email": "",\n      "referenceId": null,\n      "openedLinkTimes": 5,\n      "created": "2023-02-06T00:32:39.0455118",\n      "accountId": "28g08***",\n      "validationRequestSettings": null,\n      "completed": true,\n      "status": 5,\n      "statusName": "FailedAttempt",\n      "attemptsUsed": 1,\n      "documentExpired": false,\n      "lastValidationResponse": {\n        "validationResponseId": 134,\n        "created": "2023-11-17T04:40:31.509932",\n        "responseStatus": 0,\n        "responseStatusName": "Success"\n      },\n      "hasRiskEvents": false,\n      "metadata": {},\n      "callbackUrl": "https://host/?fromonline",\n      "verificationMethod": 0\n    },\n    {\n      "applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n      "attemptsCount": 1,\n      "lastAttemptId": null,\n      "successAttemptId": null,\n      "successAttempt": null,\n      "firstName": "testeSelf",\n      "lastName": "teste",\n      "phone": "+7 952 500 00 00",\n      "email": null,\n      "referenceId": null,\n      "openedLinkTimes": 6,\n      "created": "2023-02-09T03:36:04.0500599",\n      "accountId": "28608d***",\n      "validationRequestSettings": null,\n      "completed": true,\n      "status": 1,\n      "statusName": "Success",\n      "attemptsUsed": 1,\n      "documentExpired": false,\n      "hasRiskEvents": false,\n      "lastValidationResponse": {\n        "validationResponseId": 135,\n        "created": "2023-11-17T04:40:31.509932",\n        "responseStatus": 0,\n        "responseStatusName": "Success"\n      },\n      "metadata": {},\n      "callbackUrl": null,\n      "verificationMethod": 0\n    }\n  ]\n}\n')),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"No sorting by selected property"),(0,l.kt)("td",{width:"400"},"Wrong sorting field selected"),(0,l.kt)("td",{width:"400"},"120026")))),(0,l.kt)("h3",{id:"delete-an-applicant"},"Delete an Applicant"),(0,l.kt)("p",null,"Applicant should be deleted if the user needs to repeat verification."),(0,l.kt)("p",null,"Endpoint: DELETE /publicapi/api\u200b/v2\u200b/private\u200b/Applicants\u200b/{applicantId}"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'DELETE' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6' \\\n  -H 'accept: */*' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},'Graphql error: "error message"'),(0,l.kt)("td",{width:"400"},"Platform returned errors in response to a graphql query"),(0,l.kt)("td",{width:"400"},"120029")))),(0,l.kt)("h3",{id:"retrieve-an-applicant-by-referenceid"},"Retrieve an applicant by referenceId"),(0,l.kt)("p",null,"Query to retrieve an applicant by referenceId."),(0,l.kt)("p",null,"Endpoint: GET /publicapi/api/v2/private/Applicants/ByReferenceId/{referenceId}"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"referenceId \u2014 reference ID \u0430\u043f\u043f\u043b\u0438\u043a\u0430\u043d\u0442\u0430"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants/ByReferenceId/9cc82182' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_9cc82182-d300-4783-bce4-cbd7794a7f93'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"HTTP Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "applicantId": "70c0d046-606d-47f8-b191-5c95b1d1a3f2",\n  "attemptsCount": 1,\n  "lastAttemptId": null,\n  "successAttemptId": null,\n  "successAttempt": null,\n  "firstName": null,\n  "lastName": null,\n  "phone": null,\n  "email": "tramp@baf.ru",\n  "referenceId": "refref",\n  "openedLinkTimes": 0,\n  "created": "2024-08-16T11:34:52.244449",\n  "accountId": "28608d66-a571-44ec-94db-04a00143ff51",\n  "validationRequestSettings": null,\n  "completed": false,\n  "status": 5,\n  "statusName": "FailedAttempt",\n  "attemptsUsed": 1,\n  "documentExpired": null,\n  "lastValidationResponse": {\n    "validationResponseId": 24145,\n    "created": "2024-08-16T11:35:15.564344",\n    "responseStatus": 1,\n    "integrationId": null,\n    "responseStatusName": "Fail"\n  },\n  "hasRiskEvents": false,\n  "hasBackgroundRiskEvents": true,\n  "metadata": {},\n  "callbackUrl": null,\n  "verificationMethod": 1\n}\n')),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"HTTP Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},'Too many request by reference id: "applicant count"'),(0,l.kt)("td",{width:"400"},"More than one applicant with the requested referenece id was found"),(0,l.kt)("td",{width:"400"},"120049")))),(0,l.kt)("h3",{id:"check-an-applicant-status"},"Check an applicant status"),(0,l.kt)("p",null,"Endpoint: GET /publicapi/api/v2/public/Applicants/{applicantId}/Completed"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'https://baf.ai/publicapi/api/v2/public/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6/Completed' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"404"),(0,l.kt)("td",{width:"400"},'Validation request "applicantId" is not completed yet.'),(0,l.kt)("td",{width:"400"},"The applicant is not in a completed status."),(0,l.kt)("td",{width:"400"},"120025")))),(0,l.kt)("h3",{id:"force-close-an-applicant"},"Force close an applicant"),(0,l.kt)("p",null,"Request for forced transfer of an applicant's status to 3 (Canceled)"),(0,l.kt)("p",null,"Endpoint: POST /publicapi/api/v2/public/Applicants/{applicantId}/Complete"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'POST' \\\n  'https://baf.ai/publicapi/api/v2/public/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6/Complete' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b' \\\n  -d ''\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "callbackUrl": null\n}\n')),(0,l.kt)("h3",{id:"search-an-applicant-by-id"},"Search an applicant by ID"),(0,l.kt)("p",null,"Endpoint: GET /publicapi/api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n  "attemptsCount": 2,\n  "lastAttemptId": 133,\n  "successAttemptId": 133,\n  "successAttempt": {\n    "document": null,\n    "attemptId": 117,\n    "created": "2023-11-17T04:38:04.653858",\n    "documentType": null,\n    "documentTypeInt": 10,\n    "hasRiskEvents": false,\n    "status": 0,\n    "validationStatus": {\n      "expired": null,\n      "documentIsValid": null,\n      "faceIsValid": true,\n      "antiSpoofingIsValid": true,\n      "profileAlreadyExists": null,\n      "qualityIsValid": true,\n      "livenessReflectionIsValid": null,\n      "hasBeenBlackListed": false\n    },\n    "validations": {\n      "liveness": {\n        "verdict": true,\n        "details": [\n          {\n            "name": "FaceLiveness",\n            "verdict": true,\n            "score": 0.99,\n            "additionalInfo": {\n              "attackType": "none",\n              "attackTypeConfidence": 0.9917428\n            }\n          }\n        ]\n      },\n      "quality": {\n        "verdict": true,\n        "details": [\n          {\n            "name": "FaceQuality",\n            "verdict": true,\n            "score": 0.53,\n            "additionalInfo": null\n          }\n        ]\n      },\n      "matching": {\n        "verdict": true,\n        "details": [\n          {\n            "name": "FaceMatching",\n            "verdict": true,\n            "score": 0.0,\n            "additionalInfo": null\n          }\n        ]\n      },\n      "motionControl": {\n        "verdict": false,\n        "motionControlInfo": [\n          {\n              "pattern": "up",\n              "result": true\n          },\n          {\n              "pattern": "left",\n              "result": false\n          }\n        ]\n      }\n    }\n  },\n  "firstName": "John",\n  "lastName": "Dow",\n  "phone": "1542540505-039",\n  "email": "string",\n  "referenceId": "string",\n  "openedLinkTimes": 0,\n  "created": "2023-09-19T10:39:00.0307329",\n  "accountId": "28608***",\n  "validationRequestSettings": {\n    "validationRequestId": "0ec2b5***",\n    "faceValidationPercent": 70,\n    "documentValidationPercent": 70,\n    "qualityScore": 30,\n    "livenessReflectionScore": 30,\n    "antiSpoofingPercent": 70,\n    "verifyFace": false,\n    "isOCREnabled": true,\n    "isAddressCheckEnabled": true,\n    "isFaceRequiredOnDocument": true,\n    "isCrossMatchRequired": false,\n    "isDMVEnabled": false,\n    "isDMVPartialEnabled": false,\n    "isIdentiFraudEnabled": false,\n    "isIdentiFraudFullCaseEnabled": false,\n    "isDmvOrIdentiFraudEnabled": false,\n    "isDmvAndIdentiFraudEnabled": false,\n    "isDmvOrIdentiFraudPartialEnabled": false,\n    "isDmvAndIdentiFraudPartialEnabled": false,\n    "isGenderCheckEnabled": false,\n    "isAgeCheckEnabled": false,\n    "ageYearsDifference": 10,\n    "showConsentForm": false\n  },\n  "completed": true,\n  "status": 3,\n  "statusName": "Canceled",\n  "attemptsUsed": 0,\n  "documentExpired": null,\n  "lastValidationResponse": {\n    "validationResponseId": 133,\n    "created": "2023-11-17T04:40:31.509932",\n    "responseStatus": 0,\n    "responseStatusName": "Success"\n  },\n  "hasRiskEvents": false,\n  "hasBackgroundRiskEvents": true,\n  "metadata": {\n    "additionalProp1": "string",\n    "additionalProp2": "string",\n    "additionalProp3": "string"\n  },\n  "callbackUrl": null,\n  "verificationMethod": 0\n}\n')),(0,l.kt)("h3",{id:"update-applicant"},"Update applicant"),(0,l.kt)("p",null,"Update applicant data"),(0,l.kt)("p",null,"Endpoint: GET /publicapi/api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request body:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "firstName": "string",\n  "lastName": "string",\n  "phone": "string",\n  "email": "string",\n  "referenceId": "string",\n  "callbackUrl": "string",\n  "metadata": {\n    "additionalProp1": "string",\n    "additionalProp2": "string",\n    "additionalProp3": "string"\n  }\n}\n')),(0,l.kt)("ul",null,(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"firstName")," - applicant's name (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"lastName")," - applicant's last name (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"phone")," - applicant\u2019s phone number. Make sure that the number specified is valid (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"email")," - applicant\u2019s email (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"referenceId")," -  (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"referenceId")," - (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"callbackUrl")," - (optional field)"),(0,l.kt)("li",{parentName:"ul"},(0,l.kt)("strong",{parentName:"li"},"metadata")," - (optional field)")),(0,l.kt)("admonition",{type:"note"},(0,l.kt)("p",{parentName:"admonition"},"An empty line is interpreted as a null value. Namely, to delete a ",(0,l.kt)("strong",{parentName:"p"},"firstName"),', send a query with an empty string ("") in the ',(0,l.kt)("strong",{parentName:"p"},"firstName")," field.")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'curl -X \'PUT\' \\\n  \'http://baf.ai/publicapi/api/v2/private/Applicants/a948fb4d-8320-429d-aff1-37925609c22f\' \\\n  -H \'accept: text/plain\' \\\n  -H \'Authorization: Bearer sk_e291909c-687f-43b7-b234-216681350c6c\' \\\n  -H \'Content-Type: application/json-patch+json\' \\\n  -d \'{\n  "firstName": "string",\n  "lastName": "string",\n  "phone": "string",\n  "email": "string",\n  "referenceId": "string",\n  "callbackUrl": "string",\n  "metadata": {\n    "additionalProp1": "string",\n    "additionalProp2": "string",\n    "additionalProp3": "string"\n  }\n}\'\n')),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"Wrong Applicant data: SendSms enabled. Phone number cannot be null."),(0,l.kt)("td",{width:"400"},"Attempt to null the phone when the applicant has sms sending enabled."),(0,l.kt)("td",{width:"400"},"120028")))),(0,l.kt)("h3",{id:"get-a-list-of-applicant-verification-attempts"},"Get a List of Applicant Verification Attempts"),(0,l.kt)("p",null,"A request to receive a list of all attempts to verify an applicant by ID."),(0,l.kt)("p",null,"Endpoint: GET /publicapi/api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}/Attempts"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6/Attempts' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "attempts": [\n    {\n      "attemptId": 188,\n      "created": "2023-09-20T07:51:46.5449834",\n      "documentType": "ID",\n      "documentTypeInt": 1,\n      "hasRiskEvents": false,\n      "status": 2,\n      "validationStatus": {\n        "expired": null,\n        "documentIsValid": null,\n        "faceIsValid": null,\n        "antiSpoofingIsValid": null,\n        "profileAlreadyExists": null,\n        "qualityIsValid": true,\n        "livenessReflectionIsValid": true,\n        "hasBeenBlackListed": false\n      }\n    }\n  ]\n}\n')),(0,l.kt)("h3",{id:"get-information-about-an-applicant-verification-attempt"},"Get information about an applicant verification attempt"),(0,l.kt)("p",null,"The request returns all information about the verification attempt for a specific applicant."),(0,l.kt)("p",null,"Endpoint: GET /api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}/Attempts/{attemptId}"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,"attemptId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6/Attempts/1' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "documentFailStatusReasons": [\n    "string"\n  ],\n  "faceFailStatusReasons": [\n    "string"\n  ],\n  "invalidDataErrors": [\n    {\n      "code": "120058",\n      "message": "No faces found on image",\n      "description": "string"\n    }\n  ],\n  "dvsResult": {\n    "requestId": "3fa85***",\n    "documentType": 1,\n    "captureMethod": "string",\n    "document": {\n      "abbr3Country": "string",\n      "abbrCountry": "string",\n      "address": "string",\n      "city": "string",\n      "class": "string",\n      "country": "string",\n      "dob": "string",\n      "expires": "string",\n      "eyes": "string",\n      "familyName": "string",\n      "firstName": "string",\n      "fullName": "string",\n      "gender": "string",\n      "hair": "string",\n      "height": "string",\n      "id": "string",\n      "idType": "string",\n      "issued": "string",\n      "middleName": "string",\n      "postalBox": "string",\n      "state": "string",\n      "issuedBy": "string",\n      "template": "string",\n      "weight": "string",\n      "zip": "string",\n      "privateName": "string"\n    },\n    "parsedData": {\n      "isOcrSuccess": true,\n      "isPdf417Success": true,\n      "isMrzSuccess": true,\n      "isShuftiSuccess": true,\n      "isAntiSpoofingSuccess": true\n    },\n    "documentVerificationResult": {\n      "status": 0,\n      "totalConfidence": 0,\n      "validationTests": [\n        {\n          "rawResponse": "string",\n          "name": "string",\n          "displayName": "string",\n          "reason": "string",\n          "effect": 0,\n          "values": [\n            {\n              "score": 0,\n              "effect": 0,\n              "fieldName": "string",\n              "effectString": "string"\n            }\n          ],\n          "effectString": "string",\n          "status": 0,\n          "statusString": "string"\n        }\n      ],\n      "verificationConfidence": {\n        "abbr3Country": 0,\n        "abbrCountry": 0,\n        "address": 0,\n        "city": 0,\n        "class": 0,\n        "country": 0,\n        "dob": 0,\n        "expires": 0,\n        "eyes": 0,\n        "familyName": 0,\n        "firstName": 0,\n        "fullName": 0,\n        "gender": 0,\n        "hair": 0,\n        "height": 0,\n        "id": 0,\n        "idType": 0,\n        "issued": 0,\n        "issuedBy": 0,\n        "middleName": 0,\n        "postalBox": 0,\n        "state": 0,\n        "template": 0,\n        "weight": 0,\n        "zip": 0,\n        "ssn": 0,\n        "privateName": 0\n      }\n    },\n    "faceVerificationResult": {\n      "antiSpoofing": 0,\n      "quality": 46,\n      "confidence": 0,\n      "livenessReflectionConfidence": 90\n    }\n  },\n  "validations": {\n    "liveness": {\n      "verdict": true,\n      "details": [\n        {\n          "name": "FaceLiveness",\n          "verdict": true,\n          "score": 0.99,\n          "additionalInfo": {\n            "attackType": "none",\n            "attackTypeConfidence": 0.9917428\n          }\n        }\n      ]\n    },\n    "quality": {\n      "verdict": true,\n      "details": [\n        {\n          "name": "FaceQuality",\n          "verdict": true,\n          "score": 0.53,\n          "additionalInfo": null\n        }\n      ]\n    },\n    "matching": {\n      "verdict": true,\n      "details": [\n        {\n          "name": "FaceMatching",\n          "verdict": true,\n          "score": 0.0,\n          "additionalInfo": null\n        }\n      ]\n    },\n    "motionControl": {\n      "verdict": false,\n      "motionControlInfo": [\n        {\n            "pattern": "up",\n            "result": true\n        },\n        {\n            "pattern": "left",\n            "result": false\n        }\n      ]\n    }\n  },\n  "similarApplicants": {\n    "ids": [\n      "be9561bb-3c0b-426d-acac-7d2c11825af5"\n    ]\n  },\n  "mobilePhoneModel": "string",\n  "mobilePhoneOS": "string",\n  "captureMethod": "string",\n  "requestIpAddress": "string",\n  "created": "2023-09-20T08:37:41.799Z",\n  "documentType": "string",\n  "documentTypeInt": 0,\n  "hasRiskEvents": true,\n  "status": 0,\n  "validationStatus": {\n    "expired": true,\n    "documentIsValid": true,\n    "faceIsValid": true,\n    "antiSpoofingIsValid": true,\n    "profileAlreadyExists": true,\n    "qualityIsValid": true,\n    "livenessReflectionIsValid": true,\n    "hasBeenBlackListed": false\n  },\n  "content": {\n    "livenessReflectionVideoLink": "string",\n    "livenessActiveVideoLink": "string",\n    "backOrSecondImageBase64": "string",\n    "faceImageBase64": "string",\n    "frontImageBase64": "string",\n    "trackString": "string"\n  },\n  "riskEvents": [\n    {\n      "created": "2024-08-14T10:28:56.458Z",\n      "riskNumber": 0,\n      "riskName": "string",\n      "isActive": true\n    }\n  ],\n  "applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",\n  "attemptId": 0\n}\n')),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},'DVS response Error: "ex.Message"'),(0,l.kt)("td",{width:"400"},"Failed to deserialize json response from DVS"),(0,l.kt)("td",{width:"400"},"120030")))),(0,l.kt)("h3",{id:"resend-the-link-to-verify-the-applicant"},"Resend the Link to Verify the Applicant"),(0,l.kt)("p",null,"The request allows you to resend the verification link to the applicant."),(0,l.kt)("p",null,"Endpoint: POST /api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}/ReNotify"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'POST' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6/ReNotify' \\\n  -H 'accept: */*' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b' \\\n  -d ''\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"SMS sending disabled for applicant"),(0,l.kt)("td",{width:"400"},"Sending sms is turned off for applicant"),(0,l.kt)("td",{width:"400"},"120027")))),(0,l.kt)("h3",{id:"get-images-from-an-applicant-verification-attempt"},"Get Images From an Applicant Verification Attempt"),(0,l.kt)("p",null,"The request returns images from a verification attempt for a specific applicant."),(0,l.kt)("p",null,"Endpoint: GET /api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}/Attempts/{attemptId}/Images"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,"attemptId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'https://baf.ai/publicapi/api/v2/private/Applicants/3fa85f64-5717-4562-b3fc-2c963f66afa6/Attempts/1/Images' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_3938ab7b-cdbf-4a1a-952b-e3782f061f4b'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},'{\n  "livenessReflectionVideoLink": "string",\n  "livenessActiveVideoLink": "string",\n  "backOrSecondImageBase64": "string",\n  "faceImageBase64": "string",\n  "frontImageBase64": "string",\n  "trackString": "string"\n}\n')),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"413"),(0,l.kt)("td",{width:"400"},"You do not have a permission to review images. "),(0,l.kt)("td",{width:"400"},"Photo is not available for viewing."),(0,l.kt)("td",{width:"400"},"120032")),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"413"),(0,l.kt)("td",{width:"400"},"Allowed time to review these images is expired."),(0,l.kt)("td",{width:"400"},"Photo availability time limit is exceeded."),(0,l.kt)("td",{width:"400"},"120032")))),(0,l.kt)("h3",{id:"download-liveness-reflection-video-from-an-applicant-verification-attempt"},"Download Liveness Reflection video from an Applicant Verification Attempt"),(0,l.kt)("p",null,"The request returns Liveness Reflection video from a verification attempt for a specific applicant."),(0,l.kt)("p",null,"Endpoint: GET /api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}/Attempts/{attemptId}/Video"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,"attemptId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'http://baf.ai/publicapi/api/v2/private/Applicants/a948fb4d-8320-429d-aff1-37925609c22f/Attempts/6562/Video' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_e291909c-687f-43b7-b234-216681350c6c'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,"Video file"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"Validation response does not contain a video"),(0,l.kt)("td",{width:"400"},"No video reference found in validationResponse"),(0,l.kt)("td",{width:"400"},"120033")))),(0,l.kt)("h3",{id:"download-motion-control-video-from-an-applicant-verification-attempt"},"Download motion control video from an Applicant Verification Attempt"),(0,l.kt)("p",null,"The request returns motion control video from a verification attempt for a specific applicant."),(0,l.kt)("p",null,"Endpoint: GET /api\u200b/v2\u200b/private\u200b/Applicants/{applicantId}/Attempts/{attemptId}/LivenessActionVideo"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,"attemptId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'GET' \\\n  'http://baf.ai/publicapi/api/v2/private/Applicants/a948fb4d-8320-429d-aff1-37925609c22f/Attempts/6562/LivenessActionVideo' \\\n  -H 'accept: text/plain' \\\n  -H 'Authorization: Bearer sk_e291909c-687f-43b7-b234-216681350c6c'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,"Video file"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"Validation response does not contain a video"),(0,l.kt)("td",{width:"400"},"No video reference found in validationResponse"),(0,l.kt)("td",{width:"400"},"120033")))),(0,l.kt)("h3",{id:"unlock-or-open-the-applicant"},"Unlock or open the applicant"),(0,l.kt)("p",null,"This request allows you to unlock or open the applicant. If the applicant is in Failed status, the number of attempts spent is reset."),(0,l.kt)("p",null,"Endpoint: POST /api/v2/private/Applicants/{applicantId}/Open"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'POST' \\\n  'http://baf.ai/publicapi/api/v2/private/Applicants/dcf431c7-786a-4097-83e0-ba9b6dc00e76/Open' \\\n  -H 'accept: */*' \\\n  -H 'Authorization: Bearer sk_e291909c-687f-43b7-b234-216681350c6c' \\\n  -d ''\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"Request already unblocked"),(0,l.kt)("td",{width:"400"},"Error occurs when attempting to unlock an unlocked applicant"),(0,l.kt)("td",{width:"400"},"150002")))),(0,l.kt)("h3",{id:"update-the-applicants-registration-photo"},"Update the applicant's registration photo"),(0,l.kt)("p",null,"This request allows you to update the applicant's registration photo. All subsequent authorizations will be compared to the new photo."),(0,l.kt)("p",null,"Endpoint: POST /api/v2/private/Applicants/{applicantId}/UpdateMainPhoto"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Parameters:")),(0,l.kt)("p",null,"applicantId"),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Request example:")),(0,l.kt)("pre",null,(0,l.kt)("code",{parentName:"pre",className:"language-cpp"},"curl -X 'POST' \\\n  'http://baf.ai/publicapi/api/v2/private/Applicants/dcf431c7-786a-4097-83e0-ba9b6dc00e76/UpdateMainPhoto' \\\n  -H 'accept: */*' \\\n  -H 'Content-Type: application/json-patch+json' \\\n  -d '{\"faceImageBase64\": \"string\"}'\n")),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Response example:")),(0,l.kt)("table",null,(0,l.kt)("body",null,(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"Status Code"),(0,l.kt)("td",{width:"400"},"200")))),(0,l.kt)("p",null,(0,l.kt)("strong",{parentName:"p"},"Possible errors:")),(0,l.kt)("table",null,(0,l.kt)("tbody",null,(0,l.kt)("tr",null,(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Message")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Description")),(0,l.kt)("td",{class:"center-aligned",width:"400"},(0,l.kt)("b",null,"Code"))),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},"Applicant has not yet registered"),(0,l.kt)("td",{width:"400"},"Attempting to update a photo from an unregistered applicant"),(0,l.kt)("td",{width:"400"},"150006")),(0,l.kt)("tr",null,(0,l.kt)("td",{width:"400"},"400"),(0,l.kt)("td",{width:"400"},'Graphql error: "error message"'),(0,l.kt)("td",{width:"400"},"Platform returned errors in response to a graphql query"),(0,l.kt)("td",{width:"400"},"120029")))))}k.isMDXComponent=!0}}]);